services:
  stunnel:
    image: rtfm-stunnel:latest
    build:
      context: .
    user: "${UID}:${GID}"
    environment:
      - "STUNNEL_ACCEPT=${STUNNEL_ACCEPT}"
      - "STUNNEL_CONNECT=${STUNNEL_CONNECT}"
      - "STUNNEL_CLIENT=${STUNNEL_CLIENT}"
      - "STUNNEL_VERIFY_CHAIN=${STUNNEL_VERIFY_CHAIN}"
      - "STUNNEL_VERIFY_PEER=${STUNNEL_VERIFY_PEER}"
      - "STUNNEL_REQUIRE_CERT=${STUNNEL_REQUIRE_CERT}"
      - "STUNNEL_MIN_TLS_VER=${STUNNEL_MIN_TLS_VER}"
    network_mode: host
    volumes:
      - "${AUTOVRTFM_CERT}:/etc/stunnel.cert"
      - "${AUTOVRTFM_KEY}:/etc/stunnel.key"
